org.apache.calcite.avatica.remote

## Interface TrustStoreConfigurable

All Known Implementing Classes:
  AvaticaCommonsHttpClientImpl

    public interface TrustStoreConfigurable

Allows a truststore (and password) to be provided to enable TLS authentication.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setTrustStore(File truststore, String password)` Sets a truststore containing the collection of trust SSL/TLS server certificates to use for HTTPS calls and the password for that truststore.

### Method Detail

#### setTrustStore

    void setTrustStore(File truststore,
                       String password)

Sets a truststore containing the collection of trust SSL/TLS server certificates to use for HTTPS calls and the password for that truststore.

Parameters:
  `truststore` - The truststore on the local filesystem
  `password` - The truststore's password